Bug 1716025 - [FFU] After FFU nova-cert on undercloud moved to down state
Summary: [FFU] After FFU nova-cert on undercloud moved to down state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z13
: 13.0 (Queens)
Assignee: Rajesh Tailor
QA Contact: Paras Babbar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-01 07:26 UTC by MD Sufiyan
Modified: 2020-10-28 18:23 UTC (History)
14 users (show)

Fixed In Version: instack-undercloud-8.4.9-8.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-28 18:23:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
undercloud_upgrade_to_11 logs (359.91 KB, text/plain)
2020-06-11 14:13 UTC, Paras Babbar
no flags Details
undercloud_upgrade_to_12 logs (391.27 KB, text/plain)
2020-06-11 14:14 UTC, Paras Babbar
no flags Details
undercloud_upgrade_to_13 logs (472.71 KB, text/plain)
2020-06-11 14:16 UTC, Paras Babbar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 690930 0 'None' MERGED Remove nova-cert service during FFU 2021-02-16 05:00:34 UTC
OpenStack gerrit 727996 0 None MERGED Fix remove nova-cert during FFU 2021-02-16 05:00:34 UTC
Red Hat Product Errata RHBA-2020:4388 0 None None None 2020-10-28 18:23:57 UTC

Comment 24 Rajesh Tailor 2020-02-28 10:32:19 UTC
Hi Paras,

As the nova-cert package is updated in 11, you could see it when upgrade to 11, but not when upgrade to 12 as it is removed in 12.
Also it is not available on fresh OSP13 deployment, but will be shown in service list on 13, if we FFU from 10 to 13.

To delete the nova-cert service, I have followed what is mentioned in kbase article [1].

[1] https://access.redhat.com/solutions/4260191

Could you try [1] if you have the environment available to check whether it is removing the entry or not ?

IIRC when I did testing locally, I could remove the entry with the proposed changes, or it might be true, that there could be two nova-cert entries, where only one is removed.

Comment 34 Paras Babbar 2020-06-11 14:13:35 UTC
Created attachment 1696794 [details]
undercloud_upgrade_to_11 logs

Comment 35 Paras Babbar 2020-06-11 14:14:27 UTC
Created attachment 1696795 [details]
undercloud_upgrade_to_12 logs

Comment 36 Paras Babbar 2020-06-11 14:16:06 UTC
Created attachment 1696796 [details]
undercloud_upgrade_to_13 logs

Comment 53 errata-xmlrpc 2020-10-28 18:23:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Red Hat OpenStack Platform 13.0 director bug fix advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4388


Note You need to log in before you can comment on or make changes to this bug.